org.apache.ignite.internal.processors.query.stat.view

## Class ColumnLocalDataViewSupplier

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.view.ColumnLocalDataViewSupplier

    public class ColumnLocalDataViewSupplier
    extends Object

Column local data view supplier.

### Constructor Summary

Constructors
Constructor and Description
`ColumnLocalDataViewSupplier(IgniteStatisticsRepository repository)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterable<StatisticsColumnLocalDataView>` `columnLocalStatisticsViewSupplier(Map<String,Object> filter)` Statistics column local node data view filterable supplier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnLocalDataViewSupplier

    public ColumnLocalDataViewSupplier(IgniteStatisticsRepository repository)

Constructor.

Parameters:
  `repository` - Statistics repository.

### Method Detail

#### columnLocalStatisticsViewSupplier

    public Iterable<StatisticsColumnLocalDataView> columnLocalStatisticsViewSupplier(Map<String,Object> filter)

Statistics column local node data view filterable supplier.

Parameters:
  `filter` - Filter.
Returns:
  Iterable with statistics column local node data views.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022